Export (0) Print
Expand All
Expand Minimize

CompatibilityLevel Enumeration

Sync Framework 2.0

Represents the version that components must be to operate with each other.

Namespace: Microsoft.Synchronization
Assembly: Microsoft.Synchronization (in microsoft.synchronization.dll)

public enum CompatibilityLevel
public enum CompatibilityLevel
public enum CompatibilityLevel

 Member nameDescription
SyncFrameworkVersion1Indicates a component is compatible with Sync Framework 1.0. 
SyncFrameworkVersion2Indicates a component is compatible with Sync Framework 2.0. 
WindowsSyncIndicates a component is compatible with the subset of components from Sync Framework 2.0 that is included in the Windows 7 operating system. 

A component that is designed to work with a particular version of Sync Framework can indicate the version for which it is designed. This way, when Sync Framework changes in later versions, a component designed for an earlier version will continue to function as expected.

The compatibility level of a component also determines which methods can be called on that component.

For more information, see Sync Framework Backwards Compatibility and Interoperability.

Show:
© 2015 Microsoft